<header class="site-header" role="banner">
  <div class="site-heading">
    <hgroup class="site-logo">
      <h1 class="site-title">
        <a href="<%= root_path %>">
          <%= Settings.site.title %>
        </a>
      </h1>
      <h2 class="site-subtitle"><%= Settings.site.tagline %></h2>
    </hgroup>

    <div class="network-navigation">
      <a class="network-link network-link--publicatio" href="http://publicatio-verein.de">
        <%= File.read(File.join(File.dirname(__FILE__), '../icons/publicatio.svg')).html_safe %>
        <%# FIXME: For some reason using `partial` results in infinite recursion
        = partial 'partials/icons/publicatio.svg', engine: :html %>
      </a>
      <a class="network-link network-link--hinsehen-net" href="https://hinsehen.net">
        <%= File.read(File.join(File.dirname(__FILE__), '../icons/hinsehen.net.svg')).html_safe %>
        <%# FIXME: For some reason using `partial` results in infinite recursion
        = partial 'partials/icons/hinsehen.net.svg', engine: :html %>
      </a>
      <a class="network-link network-link--explizit-net" href="https://explizit.net">
        <%= File.read(File.join(File.dirname(__FILE__), '../icons/explizit.net.svg')).html_safe %>
        <%#= partial 'partials/icons/explizit.net.svg', engine: :html %>
      </a>
    </div>
  </div>
  <div class="site-nav">
    <div class="nav-bar">
      <nav class="net-nav">
        <% Settings.nav.net.each do | item | %>
         <%= link_to item['text'], item['url'], title: item['title'] || item['text'] %>
        <% end %>
      </nav>

      <!--input type="search" name="q" placeholder="Suche..."/-->
    </div>
  </div>
</header>
